* {
    margin: 0;
    font-family: verdana, sans-serif;
}

#loader {
    border: 1rem solid #000000;
    border-radius: 50%;
    border-top: 1rem solid #00ff15;
    width: 10vw;
    height: 10vw;
    -webkit-animation: spin 2s linear infinite; /* Safari */
    animation: spin 2s linear infinite;
    position: absolute;
    top: 30vh;
    left: 45vw;
}

#loader_div {
    background-color: #ffffff;
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    z-index: 2;
    visibility: hidden;
}
      
/* Safari */
@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}
    
@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}


html {
    font-size: 16px; /*this is the root element on which the size of rem elements is based*/
}

p, span, div, button, input, label, td, th, select {
    font-size: 0.72rem;
}

body {
    background-color: rgba(232, 232, 232, 0.715);
}

#container {
    min-height: 98vh;
}

button {
    border-radius: 0.3rem;
    border: 0.1rem solid black;
    padding: 0.1rem 0.5rem;
    padding-bottom: 0.18rem;
}

.bold {
    font-weight: bold;
}

.underline {
    text-decoration: underline;
}
/*.grecaptcha-badge { visibility: hidden; }*/

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Firefox */
/*input[type=number] {
  -moz-appearance: textfield;
}*/

/*p, span, input, label, select, textarea {
    font-size: 0.72rem;
}*/

main h1 { /*this should be consistent throughout all pages*/
    font-weight: normal;
    font-size: 1.75rem;
    color: rgb(73, 73, 73);
}

main h2 {
    font-weight: normal;
    font-size: 1.2rem;
    margin-bottom: 0.625rem;
    color: rgb(40, 40, 40);
}

main h3 {
    font-weight: normal;
    font-size: 1rem;
    margin-bottom: 0.5rem;
    color: rgb(0, 0, 0);
}

main h4 {
    color: rgb(63, 63, 63);
}

p {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

input {
    border: 0.05rem solid rgb(70, 70, 70);
}

button {
    border: 0.05rem solid;
}

input[type="number"] {
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: textfield;
}

input:hover {
    box-shadow: 0 0 0.3125rem 0.125rem rgb(204, 204, 204);
}

button:hover {
    box-shadow: 0 0 0.1875rem 0.0625rem rgb(204, 204, 204);
    cursor: pointer;
}



.dangerous_button {
    color: white;
    background-color: rgb(200, 0, 0);
    margin: 0 0.75rem;
    border: 1px solid black;
}




.redirect, .someLink {
    color: rgb(0, 65, 0);
    text-decoration: underline;
}

.popup_link, .darker_link {
    color: rgb(0, 75, 0);
    text-decoration: underline;
}

.redirect:hover, .popup_link:hover, .someLink:hover, .darker_link:hover {
    cursor: pointer;
}


.popup {
    display: none;
    position: fixed;
    top: 2rem;
    width: 65vw;
    left: 17.5vw;
    background-color: rgb(244, 244, 244);
    border: 1px solid black;
    box-shadow: 0 0 6px rgb(150, 150, 150);
    padding-left: 2rem;
    padding-right: 2rem;
    text-align: center;
    padding-top: 1rem;
    padding-bottom: 1rem;
    z-index: 3;
    box-sizing: border-box;
    max-height: 90vh;
    overflow-y: auto;
}

.popup p {
    width: 70%;
    margin-left: 15%;
}

.popup table {
    width: 60%;
    margin-left: 20%;
}

.popup h3 {
    margin-bottom: 0.5rem;
}

.popup button {
    margin-left: 1rem;
}

.popup textarea {
    width: 100%;
}

@media only screen and (max-width: 1000px) {
    #loader {
        position: fixed;
        top: 15%;
    }

    .popup {
        width: 90%;
        left: 5%;
    }

    .popup p, .popup table{
        width: 90%;
        margin-left: 5%;
    }
}